import { FunctionCall, FunctionReturn } from "./wrapper";
export declare const ESERIALIZE = "ESERIALIZE";
export declare function deepCopyUndefined(dest: object, source: object): void;
export declare function serialize({ arg, validate }: {
    arg: any;
    validate: boolean;
}): string;
export declare function deserialize(str: string): any;
export declare function serializeCall({ call, validate }: {
    call: FunctionCall;
    validate: boolean;
}): string;
export declare function deserializeCall(raw: string): FunctionCall;
export declare function serializeReturn({ returned, validate }: {
    returned: FunctionReturn;
    validate: boolean;
}): string;
export declare function deserializeReturn(raw: string): FunctionReturn;
