import { Context, SNSEvent } from "aws-lambda";
import { FunctionCall, FunctionReturn, Wrapper } from "../wrapper";
export declare const filename: string;
export declare function makeTrampoline(wrapper: Wrapper): {
    trampoline: (event: FunctionCall | SNSEvent, context: Context, callback: (err: Error | null, obj: string | FunctionReturn) => void) => Promise<void>;
};
